> For the complete documentation index, see [llms.txt](https://docs.platform.softwareone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.platform.softwareone.com/developer-resources/api-usage-and-reference/common-api-objects/error.md).

# Error

The Error object represents an error response returned by the Marketplace API when it encounters a non-2xx HTTP response code. This object includes the following fields:

<table><thead><tr><th width="142">Field</th><th width="130">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>title</code></td><td>string</td><td>A short description of the problem.</td></tr><tr><td><code>type</code></td><td>string</td><td>A URI reference that identifies the error type (Problem Details / RFC 7807).</td></tr><tr><td><code>status</code></td><td>number</td><td>The HTTP status code returned by the server.</td></tr><tr><td><code>details</code></td><td>string</td><td>(Optional) A detailed description of the error message.</td></tr><tr><td><code>traceId</code></td><td>string</td><td>(Optional) Represents an identifier used to trace a request.</td></tr><tr><td><code>errors</code></td><td>object </td><td>(Optional) A detailed list of errors that can be connected to the request data.</td></tr></tbody></table>

### Examples

{% tabs %}
{% tab title="EXAMPLE WITHOUT PARAMETERS" %}
{% code overflow="wrap" lineNumbers="true" %}

```json
{
  "title": "Order update failed",
  "detail": "External ID is too long",
  "status": 400,
  "type": "https://docs.platform.softwareone.com/developer-resources/rest-api/errors/commerce#MPTCOM03-0078",
  "traceId": "00-00000000000000000000000000000000-000000000000000-00"
}
```

{% endcode %}
{% endtab %}

{% tab title="EXAMPLE WITH PARAMETERS" %}
{% code overflow="wrap" lineNumbers="true" %}

```json
 {
  "title": "Order update failed",
  "detail": "Value of listing does not correspond to a valid listing; External ID is too long",
  "status": 400,
  "type": "https://docs.platform.softwareone.com/developer-resources/rest-api/errors/billing#MPTBIL03-0078",
  "traceId": "00-00000000000000000000000000000000-000000000000000-00",
  "errors": [
    {
      "message": "Value of listing does not correspond to a valid listing",
      "properties": [ "listing.id" ]
    },
    {
      "message": "External ID is too long",
      "properties": [ "externalId" ]
    }
  ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

### Detailed Errors <a href="#detailed-errors" id="detailed-errors"></a>

#### Parameter Errors Fields <a href="#parameter-errors-fields" id="parameter-errors-fields"></a>

<table><thead><tr><th width="159">Field</th><th width="130">Type</th><th>Description</th></tr></thead><tbody><tr><td><code>message</code></td><td>string</td><td>The message text with markdown allowed.</td></tr><tr><td><code>properties</code></td><td>list&#x3C;string></td><td>List of object properties affected by the error. </td></tr><tr><td><code>id</code></td><td>string</td><td>Message identifier used for the localization process.</td></tr><tr><td><code>parameters</code></td><td>object</td><td>Parameters that can be used in a message with <code>{{name}}</code> a template.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.platform.softwareone.com/developer-resources/api-usage-and-reference/common-api-objects/error.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
